# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

%ifarch i586 i686 x86_64
##############
###  EMUL  ###
##############
%package sub1-Preset_boards-EMUL
Summary:	EMUL Selection for HAL and Feature
Requires:	%{name}-sub2-Preset_boards-EMUL-System
Requires:	%{name}-sub2-Preset_boards-EMUL-System_Device
Suggests:	%{name}-sub2-Preset_boards-EMUL-Audio
Suggests:	%{name}-sub2-Preset_boards-EMUL-Audio_Recording
Suggests:	%{name}-sub2-Preset_boards-EMUL-GPS
Suggests:	%{name}-sub2-Preset_boards-EMUL-Codec
Suggests:	%{name}-sub2-Preset_boards-EMUL-Camera_Common
Suggests:	%{name}-sub2-Preset_boards-EMUL-Camera
Suggests:	%{name}-sub2-Preset_boards-EMUL-Camera_Headless
Suggests:	%{name}-sub2-Preset_boards-EMUL-Display
Suggests:	%{name}-sub2-Preset_boards-EMUL-Display_Headless
Suggests:	%{name}-sub2-Preset_boards-EMUL-Wifi
Suggests:	%{name}-sub2-Preset_boards-EMUL-WifiDirect
Suggests:	%{name}-sub2-Preset_boards-EMUL-Bluetooth
Suggests:	%{name}-sub2-Preset_boards-EMUL-Bluetooth_CallAudio
Suggests:	%{name}-sub2-Preset_boards-EMUL-BLE
Suggests:	%{name}-sub2-Preset_boards-EMUL-NFC
Suggests:	%{name}-sub2-Preset_boards-EMUL-Telephony
Suggests:	%{name}-sub2-Preset_boards-EMUL-Feedback
Suggests:	%{name}-sub2-Preset_boards-EMUL-Sensor
Suggests:	%{name}-sub2-Preset_boards-EMUL-DALi
Suggests:	%{name}-sub2-Preset_boards-EMUL-DALi2
Suggests:	%{name}-sub2-Preset_boards-EMUL-EFL
Suggests:	%{name}-sub2-Preset_boards-EMUL-IM
Suggests:	%{name}-sub2-Preset_boards-EMUL-Power

%description sub1-Preset_boards-EMUL
Firstly select HALs and Feature to add to your image.
%files sub1-Preset_boards-EMUL
%posttrans sub1-Preset_boards-EMUL
%tizen_feature tizen.org/system/platform.processor Emulator
%tizen_feature tizen.org/system/platform.communication_processor none
%tizen_feature tizen.org/feature/platform.core.cpu.arch x86
%tizen_feature tizen.org/feature/platform.core.cpu.arch.armv7 false
%tizen_feature tizen.org/feature/platform.core.cpu.arch.armv8 false
%tizen_feature tizen.org/feature/platform.core.cpu.arch.x86 true
%tizen_feature tizen.org/feature/platform.core.fpu.arch.sse3 true
%tizen_feature tizen.org/feature/profile common
%tizen_feature tizen.org/feature/location.batch false
%tizen_feature tizen.org/feature/network.ethernet false
%tizen_feature tizen.org/feature/network.wifi.tdls false
%tizen_feature tizen.org/feature/screen.auto_rotation false
%tizen_feature tizen.org/feature/screen.height 720
%tizen_feature tizen.org/feature/screen.output.hdmi false
%tizen_feature tizen.org/feature/screen.output.rca false
%tizen_feature tizen.org/feature/screen.shape.circle false
%tizen_feature tizen.org/feature/screen.shape.rectangle true
%tizen_feature tizen.org/feature/screen.size.normal.720.1280 true
%tizen_feature tizen.org/feature/screen.width 1280
%tizen_feature tizen.org/feature/screen.dpi 316
%tizen_feature tizen.org/feature/sensor.accelerometer true
%tizen_feature tizen.org/feature/sensor.gravity false
%tizen_feature tizen.org/feature/sensor.linear_acceleration true
%tizen_feature tizen.org/feature/sensor.proximity true
%tizen_feature tizen.org/feature/sensor.temperature false
%tizen_feature tizen.org/feature/sensor.heart_rate_monitor true
%tizen_feature tizen.org/feature/sensor.heart_rate_monitor.batch false
%tizen_feature tizen.org/feature/sensor.heart_rate_monitor.led_green.batch false
%tizen_feature tizen.org/feature/storage.external true
%tizen_feature tizen.org/feature/peripheral_io.gpio true
%tizen_feature tizen.org/feature/peripheral_io.i2c true
%tizen_feature tizen.org/feature/peripheral_io.pwm false
%tizen_feature tizen.org/feature/peripheral_io.spi true
%tizen_feature tizen.org/feature/peripheral_io.uart true
%tizen_feature tizen.org/feature/accessibility.grayscale false
%tizen_feature tizen.org/feature/accessibility.negativee false
%tizen_feature tizen.org/system/model_name Emulator


### EMUL-System ###
%package sub2-Preset_boards-EMUL-System
Summary:	EMUL_System
Requires:	system-plugin
Requires:	system-plugin-emulator
Requires:	system-plugin-feature-session-bind
Requires:	system-plugin-feature-namespace
Requires:	system-plugin-feature-init_wrapper
Requires:	model-config-default

%description sub2-Preset_boards-EMUL-System
Packages for System HAL and Feature. They are mandatory.
%files sub2-Preset_boards-EMUL-System


### EMUL-System_Device ###
%package sub2-Preset_boards-EMUL-System_Device
Summary:	EMUL_Deviced Plugin
Requires:	%{name}-sub2-domain_API-System-Device
Requires:	deviced-plugin-profile-iot
Requires:	device-manager-plugin-emul
# Requires:	device-manager-plugin-rpi3

%description sub2-Preset_boards-EMUL-System_Device
Packages for Deviced HAL and Feature.
%files sub2-Preset_boards-EMUL-System_Device
%posttrans sub2-Preset_boards-EMUL-System_Device
%tizen_feature tizen.org/feature/thermistor.ap true


### EMUL-Audio ###
%package sub2-Preset_boards-EMUL-Audio
Summary:	EMUL_Audio
Requires:	audio-hal-emul
Requires:	mmfw-sysconf-simulator

Suggests:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Suggests:	%{name}-sub2-domain_API-Multimedia-Player
Suggests:	%{name}-sub2-domain_API-Multimedia-WAV_Player
Suggests:	%{name}-sub2-domain_API-Multimedia-Tone_Player
Suggests:	%{name}-sub2-domain_API-Multimedia-OpenAL
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer
Suggests:	%{name}-sub2-domain_API-Multimedia-Sound_Pool

%description sub2-Preset_boards-EMUL-Audio
Packages of Audio HAL and Feature for EMUL.
If you select Bluetooth, you can select pulseaudio-modules-bluetooth.
%files sub2-Preset_boards-EMUL-Audio

### EMUL-Audio_Recording ###
%package sub2-Preset_boards-EMUL-Audio_Recording
Summary:	EMUL_AudioRecording
Requires:	%{name}-sub2-Preset_boards-EMUL-Audio

Suggests:	%{name}-sub2-domain_API-Multimedia-Recorder
Suggests:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer

%description sub2-Preset_boards-EMUL-Audio_Recording
Packages of Audio HAL and Feature for EMUL.

%files sub2-Preset_boards-EMUL-Audio_Recording
%posttrans sub2-Preset_boards-EMUL-Audio_Recording
%tizen_feature tizen.org/feature/microphone true
%tizen_feature tizen.org/feature/media.audio_recording true

### EMUL-GPS ###
%package sub2-Preset_boards-EMUL-GPS
Summary:	EMUL_GPS
Requires:	lbs-server-plugin-replay
Requires:	%{name}-sub2-domain_API-Location-Location_Manager

%description sub2-Preset_boards-EMUL-GPS
Packages of GPS HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-GPS

### EMUL-Codec ###
%package sub2-Preset_boards-EMUL-Codec
Summary:	EMUL_Codec
Suggests:	%{name}-sub2-Preset_boards-EMUL-Display
Suggests:	%{name}-sub2-Preset_boards-EMUL-Display_Headless
Requires:	gst-plugins-emulator
Requires:	mmfw-sysconf-simulator

Suggests:	%{name}-sub2-domain_API-Multimedia-Player
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Streamer
Suggests:	%{name}-sub2-domain_API-Multimedia-Media_Codec
Suggests:	%{name}-sub2-domain_API-Multimedia-Camera
Suggests:	%{name}-sub2-domain_API-Multimedia-Recorder
Suggests:	%{name}-sub2-domain_API-Multimedia-Screen_Mirroring

%description sub2-Preset_boards-EMUL-Codec
Packages of Codec HAL and Feature for EMUL.
If you want to use hardware acceleration, select the required feature.
%files sub2-Preset_boards-EMUL-Codec


### EMUL-Camera_Common ###
%package sub2-Preset_boards-EMUL-Camera_Common
Summary:	EMUL_Camera(Common)
Requires:	%{name}-sub2-domain_API-Multimedia-Camera
Requires:	gst-plugins-good
Requires:	gst-plugins-tizen
Requires:	mmfw-sysconf-simulator
Requires:	camera-hal-v4l2

%description sub2-Preset_boards-EMUL-Camera_Common
Packages of Camera HAL and Feature for EMUL(Common).
(known issue: The preview and capture could be failed with some web cameras.)
%files sub2-Preset_boards-EMUL-Camera_Common
%posttrans sub2-Preset_boards-EMUL-Camera_Common
%tizen_feature tizen.org/feature/camera true
%tizen_feature tizen.org/feature/camera.back true
%tizen_feature tizen.org/feature/camera.back.flash false
%tizen_feature tizen.org/feature/camera.front false
%tizen_feature tizen.org/feature/camera.front.flash false
%tizen_feature tizen.org/feature/media.video_recording true


### EMUL-Camera ###
%package sub2-Preset_boards-EMUL-Camera
Summary:	EMUL_Camera
Requires:	%{name}-sub2-Preset_boards-EMUL-Camera_Common
Requires:	%{name}-sub2-Preset_boards-EMUL-Display

Conflicts:	%{name}-sub2-Preset_boards-EMUL-Camera_Headless

%description sub2-Preset_boards-EMUL-Camera
Packages of Camera HAL and Feature for EMUL.
(known issue: The preview and capture could be failed with some web cameras.)
%files sub2-Preset_boards-EMUL-Camera


### EMUL-Camera_Headless ###
%package sub2-Preset_boards-EMUL-Camera_Headless
Summary:	EMUL_Camera(Headless)
Requires:	%{name}-sub2-Preset_boards-EMUL-Camera_Common
Requires:	%{name}-sub2-Preset_boards-EMUL-Display_Headless

Conflicts:	%{name}-sub2-Preset_boards-EMUL-Camera

%description sub2-Preset_boards-EMUL-Camera_Headless
Packages of Camera HAL and Feature for EMUL(Headless).
(known issue: camera preview and capture could be failed.)
%files sub2-Preset_boards-EMUL-Camera_Headless


### EMUL-Display ###
%package sub2-Preset_boards-EMUL-Display
Summary:	EMUL_Display
Requires:	%{name}-sub2-domain_API-UI-Display_Server
Requires:	e-tizen-data-profile_common
Requires:	libtbm-vigs
Requires:	libtdm-drm
Requires:	coregl

Conflicts:	%{name}-sub2-Preset_boards-EMUL-Display_Headless

%description sub2-Preset_boards-EMUL-Display
Packages of Display HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Display
%posttrans sub2-Preset_boards-EMUL-Display
%tizen_feature tizen.org/feature/graphics.acceleration true
%tizen_feature tizen.org/feature/multi_point_touch.pinch_zoom true
%tizen_feature tizen.org/feature/opengles true
%tizen_feature tizen.org/feature/opengles.version.1_1 true
%tizen_feature tizen.org/feature/opengles.version.2_0 true
%tizen_feature tizen.org/feature/opengles.version.3_0 false
%tizen_feature tizen.org/feature/opengles.version.3_1 false
%tizen_feature tizen.org/feature/opengles.version.3_2 false
%tizen_feature tizen.org/feature/vulkan.version.1_0 false
%tizen_feature tizen.org/feature/screen true

### EMUL-Display_Headless ###
%package sub2-Preset_boards-EMUL-Display_Headless
Summary:	EMUL_Display(Headless)
Requires:	%{name}-sub2-domain_API-UI-Display_Server_Headless
Requires:	libtbm-vigs

Conflicts:	%{name}-sub2-Preset_boards-EMUL-Display

%description sub2-Preset_boards-EMUL-Display_Headless
Packages of Display HAL and Feature for EMUL(Headless).
%files sub2-Preset_boards-EMUL-Display_Headless
%posttrans sub2-Preset_boards-EMUL-Display_Headless
%tizen_feature tizen.org/feature/graphics.acceleration false
%tizen_feature tizen.org/feature/multi_point_touch.pinch_zoom false
%tizen_feature tizen.org/feature/opengles false
%tizen_feature tizen.org/feature/opengles.version.1_1 false
%tizen_feature tizen.org/feature/opengles.version.2_0 false
%tizen_feature tizen.org/feature/opengles.version.3_0 false
%tizen_feature tizen.org/feature/opengles.version.3_1 false
%tizen_feature tizen.org/feature/opengles.version.3_2 false
%tizen_feature tizen.org/feature/vulkan.version.1_0 false
%tizen_feature tizen.org/feature/screen false

### EMUL-Wifi ###
%package sub2-Preset_boards-EMUL-Wifi
Summary:	EMUL_Wifi
Requires:	%{name}-sub2-domain_API-Network-WiFi_Manager
Requires:	wpa_supplicant-profile_common
Suggests:	net-config-plugin-headed

%description sub2-Preset_boards-EMUL-Wifi
Packages of Wifi HAL and Feature for EMUL.
If you enable the UI, you can select net-config-plugin-headed.
%files sub2-Preset_boards-EMUL-Wifi


### EMUL-WifiDirect ###
%package sub2-Preset_boards-EMUL-WifiDirect
Summary:	EMUL_WifiDirect
Requires:	%{name}-sub2-domain_API-Network-WiFi_Direct
Requires:	%{name}-sub2-Preset_boards-EMUL-Wifi
Requires:	wifi-direct-manager-profile_common

%description sub2-Preset_boards-EMUL-WifiDirect
Packages of WifiDirect HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-WifiDirect

### EMUL-Bluetooth ###
%package sub2-Preset_boards-EMUL-Bluetooth
Summary:	EMUL_Bluetooth
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_BREDR
Requires:	bluetooth-firmware-bcm
Requires:	bluetooth-frwk-profile_common
Requires:	bluetooth-tools-profile_common
Requires:	bluez-profile_common
Requires:	bluez-mesh
Suggests:	bluez-extension-bredr
Suggests: bluetooth-frwk-plugin-headed
Suggests: org.tizen.bt-syspopup
Suggests: org.tizen.bt-syspopup-profile_common
Suggests: bluez-plugin-headless

%description sub2-Preset_boards-EMUL-Bluetooth
Packages of Bluetooth HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Bluetooth
%posttrans sub2-Preset_boards-EMUL-Bluetooth
%tizen_feature tizen.org/feature/network.bluetooth.le.5_0 false

### EMUL-Bluetooth_CallAudio ###
%package sub2-Preset_boards-EMUL-Bluetooth_CallAudio
Summary:	EMUL_Bluetooth Call Audio
Requires:	%{name}-sub2-Preset_boards-EMUL-Bluetooth
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Call_Audio
Requires:	bluetooth-agent-hfp_ag
Requires:	bluetooth-agent-map
Requires:	bluetooth-agent-pbap

%description sub2-Preset_boards-EMUL-Bluetooth_CallAudio
Packages of Bluetooth HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Bluetooth_CallAudio


### EMUL-BLE ###
%package sub2-Preset_boards-EMUL-BLE
Summary:	EMUL_BLE
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_LE
Requires: bluetooth-firmware-bcm
Requires: bluetooth-frwk-profile_common
Requires: bluetooth-tools-profile_common
Requires: bluez-profile_common
Suggests: bluetooth-frwk-plugin-headed
Suggests: org.tizen.bt-syspopup
Suggests: org.tizen.bt-syspopup-profile_common

%description sub2-Preset_boards-EMUL-BLE
Packages of BLE HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-BLE

### EMUL-NFC ###
%package sub2-Preset_boards-EMUL-NFC
Summary:	EMUL_NFC
Requires:	%{name}-sub2-domain_API-Network-NFC
Requires:	nfc-plugin-emul
Requires:	ug-nfc-efl
Requires:	ug-nfc-efl-profile_common
Requires:	ug-nfc-efl-resource_common


%description sub2-Preset_boards-EMUL-NFC
Packages of NFC HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-NFC

### EMUL-Telephony ###
%package sub2-Preset_boards-EMUL-Telephony
Summary:	EMUL_Telephony
Requires:	%{name}-sub1-domain_API-Telephony
Requires:	tel-plugin-atmodem
Requires:	vmodemd-emul
Requires:	tel-plugin-indicator
Requires:	tel-plugin-nitz
Requires:	tel-plugin-syspopup
Requires:	tel-plugin-vmodem

%description sub2-Preset_boards-EMUL-Telephony
Packages of Telephony HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Telephony

### EMUL-Feedback ###
%package sub2-Preset_boards-EMUL-Feedback
Summary:	EMUL_Feedback
Requires:	%{name}-sub2-domain_API-System-Feedback
Requires:	%{name}-sub2-Preset_boards-EMUL-Audio
Requires:	feedbackd-driver-emulator
Requires:	svi-data-profile_common


%description sub2-Preset_boards-EMUL-Feedback
Packages of Feedback HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Feedback

### EMUL-Sensor ###
%package sub2-Preset_boards-EMUL-Sensor
Summary:	EMUL_Sensor
Requires:	%{name}-sub2-domain_API-System-Sensor_Recorder
Requires:	sensor-hal-emulator

%description sub2-Preset_boards-EMUL-Sensor
Packages of Sensor HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-Sensor

### EMUL-DALi ###
%package sub2-Preset_boards-EMUL-DALi
Summary:	EMUL_DALi
Requires:   %{name}-sub2-domain_API-UI-DALi
Requires:   %{name}-sub2-Preset_boards-EMUL-Display
Requires:   dali-extension-video-player-plugin
Requires:   dali-extension-key-extension
Requires:   dali-extension
Requires:	dali-extension-vector-animation-renderer-plugin
Requires:	dali-extension-web-engine-chromium-plugin
Requires:	dali-extension-web-engine-lwe-plugin
Requires:   dali-toolkit-resources_720x1280

%description sub2-Preset_boards-EMUL-DALi
Packages of DALi HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-DALi
%posttrans sub2-Preset_boards-EMUL-DALi
%tizen_feature tizen.org/feature/opengles.surfaceless_context true

### EMUL-DALi2 ###
%package sub2-Preset_boards-EMUL-DALi2
Summary:	EMUL_DALi2
Requires:   %{name}-sub2-domain_API-UI-DALi2
Requires:   %{name}-sub2-Preset_boards-EMUL-Display
Requires:   dali2-extension-video-player-plugin
Requires:   dali2-extension-key-extension
Requires:   dali2-extension-vector-animation-renderer-plugin
Requires:   dali2-extension-web-engine-chromium-plugin
Requires:   dali2-extension
Requires:	dali2-extension-color-controller-plugin
Requires:	dali2-extension-web-engine-lwe-plugin
Requires:   dali2-toolkit-resources_720x1280

%description sub2-Preset_boards-EMUL-DALi2
Packages of DALi2 HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-DALi2
%posttrans sub2-Preset_boards-EMUL-DALi2
%tizen_feature tizen.org/feature/opengles.surfaceless_context true

### EMUL-EFL ###
%package sub2-Preset_boards-EMUL-EFL
Summary:	EMUL_EFL
Requires:	%{name}-sub2-Preset_boards-EMUL-Display
Requires:	%{name}-sub2-domain_API-UI-EFL_NativeUIToolkit
Requires:	efl-misc-profile_common
Requires:	efl-modules-profile_common
Requires:	efl-theme-tizen-common
Requires:	elementary-tizen
Requires:	efl-locale
Requires:   download-fonts-service

%description sub2-Preset_boards-EMUL-EFL
Packages of EFL HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-EFL

### EMUL-IM ###
%package sub2-Preset_boards-EMUL-IM
Summary:	EMUL_IM
Requires:	%{name}-sub2-domain_API-UIX-Input_Method
Requires:	isf-config-common
Requires:	ise-default-profile_common
Requires:	org.tizen.inputmethod-setting-profile_common
Requires:	%{name}-sub2-Preset_boards-EMUL-EFL

%description sub2-Preset_boards-EMUL-IM
Packages of IM HAL and Feature for EMUL.
%files sub2-Preset_boards-EMUL-IM

### EMUL-Power ###
%package sub2-Preset_boards-EMUL-Power
Summary:	EMUL_Power
Requires:	pass-hal-standard

%description sub2-Preset_boards-EMUL-Power
Packages for PASS HAL and Feature for RPI.
%files sub2-Preset_boards-EMUL-Power
%endif
